Public Member Functions

# BinNavi.API.disassembly.ViewEdge Class Reference

Represents a single edge in a view. More...

Inherits com::zynamics::zylib::types::graphs::DefaultEdge< ViewNode >, and BinNavi::APIHelpers::ApiObject< INaviEdge >.

List of all members.

## Public Member Functions
void | addListener (final IViewEdgeListener listener)
| Adds a view edge listener.
Color | getColor ()
| Returns the color of the edge.
ViewNode | getSource ()
| Source block of the edge.
ViewNode | getTarget ()
| Target block of the edge.
EdgeType | getType ()
| Type of the edge.
boolean | isVisible ()
| Visibility state of the edge.
void | removeListener (final IViewEdgeListener listener)
| Removes a view edge listener.
void | setColor (final Color color)
| Changes the color of the edge.
void | setVisible (final boolean value)
| Changes the visibility state of the edge.
String | toString ()
| Printable representation of the edge.

## Detailed Description

Class used to represent edges in graph views.

## Member Function Documentation

void BinNavi.API.disassembly.ViewEdge.addListener | ( | final IViewEdgeListener | listener | ) |

Adds an object that is notified about changes in the view edge.

Parameters:

  | listener | The listener object that is notified about changes in the view edge.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object is already listening on the view edge.

Color BinNavi.API.disassembly.ViewEdge.getColor | ( |  | ) |

Returns the color of the edge.

Returns:
  The color of the edge.

ViewNode BinNavi.API.disassembly.ViewEdge.getSource | ( |  | ) |

Returns the source block of the edge.

Returns:
  The source block of the edge.

ViewNode BinNavi.API.disassembly.ViewEdge.getTarget | ( |  | ) |

Returns the target block of the edge.

Returns:
  The target block of the edge.

EdgeType BinNavi.API.disassembly.ViewEdge.getType | ( |  | ) |

Returns the type of the edge.

Returns:
  The type of the edge.

boolean BinNavi.API.disassembly.ViewEdge.isVisible | ( |  | ) |

Determines whether the edge is visible or not.

Returns:
  True, if the edge is visible. False, if not.

void BinNavi.API.disassembly.ViewEdge.removeListener | ( | final IViewEdgeListener | listener | ) |

Removes a listener object from the view edge.

Parameters:

  | listener | The listener object to remove from the view edge.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object was not listening on the view edge.

void BinNavi.API.disassembly.ViewEdge.setColor | ( | final Color | color | ) |

Changes the color of the edge.

Parameters:

  | color | The new color of the edge.

void BinNavi.API.disassembly.ViewEdge.setVisible | ( | final boolean | value | ) |

Used to show or hide the edge.

Parameters:

  | value | True to show the edge; false to hide it.

String BinNavi.API.disassembly.ViewEdge.toString | ( |  | ) |

Returns the string representation of the edge.

Returns:
  The string representation of the edge.